FROM eclipse-temurin:17.0.10_7-jdk-jammy as base
WORKDIR /build
COPY mvnw mvnw
RUN chmod 0755 mvnw
COPY .mvn/ .mvn/

FROM base as test
WORKDIR /build
COPY ./src src/
COPY pom.xml pom.xml
RUN ./mvnw install

FROM test as deploy
WORKDIR /build/target
EXPOSE 5600
ENTRYPOINT ["java", "-jar", "safetynet-1.0.jar"]